/***
 * Created by Bryan Tai and Carolyn Shen Mar 25, 2016
 * Created for Project 4 of CPSC 314
*/

var player = (function() {
  "use strict";
  /*** Module for Player ***/
  // Initialize the inventory
  var inventory = {
    knowPassword: false,
    haveBullet: false
  };
  
  function updateInventory(obj) {
    if (!inventory[obj]) {
      addToInventory(obj);
    }
  }
  
  function addToInventory(obj) {
    // input: string
    if (obj in inventory) { // only adds if obj is one of inventory
      inventory[obj] = true;
    }
  }
  
  function removeFromInventory(obj) {
    // input: string
    if (obj in inventory) {
      delete inventory[obj];
    }
  }
  
  function inInventory(obj) {
    return false;
  }
  
  return {
    inventory: inventory,
    addToInventory: addToInventory,
    removeFromInventory: removeFromInventory,
    inInventory: inInventory,
    dx : 0,
    dy : 0,
    dz : 0,
    walk_counter : 0,
    crouching : false,
    crouch_dy : 0
  };
})();